/**
 * apeman bud for package.json
 * @memberof module:apeman-bud-pkg/lib
 * @function setup
 * @param {object} data - Package data.
 * @returns {object} - Coz bud configuration.
 */

'use strict'

/** @lends setup */
function setup (data, force, mode) {
  return {
    force: !!force,
    mode: mode || '644',
    path: 'package.json',
    tmpl (data) {
      return JSON.stringify(data, null, 2)
    },
    data: data
  }
}

setup.cache = function (pkg) {
  return setup({
    name: `cache-of-${pkg.name}`,
    version: pkg.version,
    description: `Temporary package for installing dependencies of ${ pkg.name }.`,
    dependencies: pkg.dependencies,
    devDependencies: pkg.devDependencies
  }, true, '444')
}

module.exports = setup
